Package javax.mail

## Class UIDFolder.FetchProfileItem

- java.lang.Object
- - javax.mail.FetchProfile.Item
  - - javax.mail.UIDFolder.FetchProfileItem

Enclosing interface:
  UIDFolder

    public static class UIDFolder.FetchProfileItem
    extends FetchProfile.Item

A fetch profile item for fetching UIDs. This inner class extends the `FetchProfile.Item` class to add new FetchProfile item types, specific to UIDFolders. The only item currently defined here is the `UID` item.

See Also:
  `FetchProfile`

### Field Summary

Fields
`static UIDFolder.FetchProfileItem` `UID` UID is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder.

### Fields inherited from class javax.mail.FetchProfile.Item

`CONTENT_INFO, ENVELOPE, FLAGS, SIZE`

### Constructor Summary

Constructors
`protected` `FetchProfileItem​(java.lang.String name)`

### Method Summary

### Methods inherited from class javax.mail.FetchProfile.Item

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### UID

    public static final UIDFolder.FetchProfileItem UID

UID is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder. This item indicates that the UIDs for messages in the specified range are desired to be prefetched.

An example of how a client uses this is below:

>             FetchProfile fp = new FetchProfile();
>             fp.add(UIDFolder.FetchProfileItem.UID);
>             folder.fetch(msgs, fp);

### Constructor Detail

#### FetchProfileItem

    protected FetchProfileItem​(java.lang.String name)